Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.exception
Class PipelineException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.appflow.exception.PipelineException

Direct Known Subclasses:
  AuthorizationFailureException, AuthorizationRejectedException

public class PipelineException
extends ApplicationException

This class is the base class for all PipelineExceptions.

PipelineExceptions or sub-classes of PipelineException are to be thrown by classes that implement the `PipelineComponent` interface.

See Also:
  `PipelineComponent`, Serialized Form

Constructor Summary
`PipelineException()`
`PipelineException(java.lang.String message)`
`PipelineException(java.lang.String message, java.lang.Throwable embeddedException)`
`PipelineException(java.lang.Throwable embeddedException)`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineException

    public PipelineException()

### PipelineException

    public PipelineException(java.lang.String message)

### PipelineException

    public PipelineException(java.lang.String message,
                             java.lang.Throwable embeddedException)

### PipelineException

    public PipelineException(java.lang.Throwable embeddedException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved